FreeMat

- Main Page
- Related Pages

vtkMultiThreader

Section: Visualization Toolkit Common Classes

# Usage

vtkMultithreader is a class that provides support for multithreaded execution using sproc() on an SGI, or pthread_create on any platform supporting POSIX threads. This class can be used to execute a single method on multiple threads, or to specify a method per thread.

To create an instance of class vtkMultiThreader, simply invoke its constructor as follows

      obj = vtkMultiThreader

# Methods

The class vtkMultiThreader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMultiThreader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMultiThreader = obj.NewInstance ()`
- `vtkMultiThreader = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfThreads (int )` - Get/Set the number of threads to create. It will be clamped to the range 1 - VTK_MAX_THREADS, so the caller of this method should check that the requested number of threads was accepted.
- `int = obj.GetNumberOfThreadsMinValue ()` - Get/Set the number of threads to create. It will be clamped to the range 1 - VTK_MAX_THREADS, so the caller of this method should check that the requested number of threads was accepted.
- `int = obj.GetNumberOfThreadsMaxValue ()` - Get/Set the number of threads to create. It will be clamped to the range 1 - VTK_MAX_THREADS, so the caller of this method should check that the requested number of threads was accepted.
- `int = obj.GetNumberOfThreads ()` - Get/Set the number of threads to create. It will be clamped to the range 1 - VTK_MAX_THREADS, so the caller of this method should check that the requested number of threads was accepted.